Anonymous Login
2019-10-16 12:13 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000382v1.3 Release (Closed)[All Projects] Generalpublic2010-03-31 22:42
Reporterkicken 
Assigned Tocaseydk 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version1.3 
Summary0000382: If you assign a person to a company and do not assign a person to a department it crashes.
DescriptionIf you assign a person to a company and do not assign a person to a department it crashes. This happens even if the assigned company has no departments.

C:\public_html\project\classes\query.class.php(1169): query failed(UPDATE `contacts` SET `contact_first_name` = 'Admin', `contact_last_name` = 'Person', `contact_order_by` = 'Admin Person', `contact_title` = '', `contact_job` = '', `contact_company` = '2', `contact_department` = '', `contact_type` = '', `contact_email` = 'admin@localhost', `contact_email2` = '', `contact_phone` = '', `contact_phone2` = '', `contact_fax` = '', `contact_mobile` = '', `contact_address1` = '', `contact_address2` = '', `contact_city` = '', `contact_state` = '', `contact_zip` = '', `contact_url` = '', `contact_icq` = '', `contact_aol` = '', `contact_yahoo` = '', `contact_msn` = '', `contact_jabber` = '', `contact_skype` = '', `contact_google` = '', `contact_notes` = '', `contact_project` = '0', `contact_country` = '', `contact_owner` = '2' WHERE contact_id = '1') - error was: Incorrect integer value: '' for column 'contact_department' at row 1
ERROR: C:\public_html\project\classes\query.class.php(1169) : query failed(UPDATE `contacts` SET `contact_first_name` = 'Admin', `contact_last_name` = 'Person', `contact_order_by` = 'Admin Person', `contact_title` = '', `contact_job` = '', `contact_company` = '2', `contact_department` = '', `contact_type` = '', `contact_email` = 'admin@localhost', `contact_email2` = '', `contact_phone` = '', `contact_phone2` = '', `contact_fax` = '', `contact_mobile` = '', `contact_address1` = '', `contact_address2` = '', `contact_city` = '', `contact_state` = '', `contact_zip` = '', `contact_url` = '', `contact_icq` = '', `contact_aol` = '', `contact_yahoo` = '', `contact_msn` = '', `contact_jabber` = '', `contact_skype` = '', `contact_google` = '', `contact_notes` = '', `contact_project` = '0', `contact_country` = '', `contact_owner` = '2' WHERE contact_id = '1') - error was: Incorrect integer value: '' for column 'contact_department' at row 1
Backtrace:
0 C:\public_html\project\classes\query.class.php:1169 dprint('C:\\public_html\\project\\classes\\query.class.php',1169,0,'query failed(UPDATE `contacts` SET `contact_first_name` = \'Admin\', `contact_last_name` = \'Person\', `contact_order_by` = \'Admin Person\', `contact_title` = \'\', `contact_job` = \'\', `contact_company` = \'2\', `contact_department` = \'\', `contact_type` = \'\', `contact_email` = \'admin@localhost\', `contact_email2` = \'\', `contact_phone` = \'\', `contact_phone2` = \'\', `contact_fax` = \'\', `contact_mobile` = \'\', `contact_address1` = \'\', `contact_address2` = \'\', `contact_city` = \'\', `contact_state` = \'\', `contact_zip` = \'\', `contact_url` = \'\', `contact_icq` = \'\', `contact_aol` = \'\', `contact_yahoo` = \'\', `contact_msn` = \'\', `contact_jabber` = \'\', `contact_skype` = \'\', `contact_google` = \'\', `contact_notes` = \'\', `contact_project` = \'0\', `contact_country` = \'\', `contact_owner` = \'2\' WHERE contact_id = \'1\') - error was: Incorrect integer value: \'\' for column \'contact_department\' at row 1')
1 C:\public_html\project\classes\query.class.php:1723 exec()
2 C:\public_html\project\classes\w2p.class.php:217 updateObject('contacts',CContact::__set_state(array(
   'contact_id' => '1',
   'contact_first_name' => 'Admin',
   'contact_last_name' => 'Person',
   'contact_order_by' => 'Admin Person',
   'contact_title' => '',
   'contact_job' => '',
   'contact_birthday' => NULL,
   'contact_company' => '2',
   'contact_department' => '',
   'contact_type' => '',
   'contact_email' => 'admin@localhost',
   'contact_email2' => '',
   'contact_phone' => '',
   'contact_phone2' => '',
   'contact_fax' => '',
   'contact_mobile' => '',
   'contact_address1' => '',
   'contact_address2' => '',
   'contact_city' => '',
   'contact_state' => '',
   'contact_zip' => '',
   'contact_url' => '',
   'contact_icq' => '',
   'contact_aol' => '',
   'contact_yahoo' => '',
   'contact_msn' => '',
   'contact_jabber' => '',
   'contact_skype' => '',
   'contact_google' => '',
   'contact_notes' => '',
   'contact_project' => '0',
   'contact_country' => '',
   'contact_icon' => NULL,
   'contact_owner' => '2',
   'contact_private' => NULL,
   'contact_updatekey' => NULL,
   'contact_lastupdate' => NULL,
   'contact_updateasked' => NULL,
   'contact_methods' =>
  array (
  ),
   '_tbl_prefix' => '',
   '_tbl' => 'contacts',
   '_tbl_key' => 'contact_id',
   '_error' => '',
   '_query' =>
  DBQuery::__set_state(array(
     'query' => NULL,
     'table_list' => NULL,
     'where' => NULL,
     'order_by' => NULL,
     'group_by' => NULL,
     'having' => NULL,
     'limit' => NULL,
     'offset' => -1,
     'join' => NULL,
     'type' => 'select',
     'update_list' => NULL,
     'value_list' => NULL,
     'create_table' => NULL,
     'create_definition' => NULL,
     'include_count' => false,
     '_table_prefix' => '',
     '_query_id' => NULL,
     '_old_style' => NULL,
     '_db' =>
    ADODB_mysql::__set_state(array(
       'databaseType' => 'mysql',
       'dataProvider' => 'mysql',
       'hasInsertID' => true,
       'hasAffectedRows' => true,
       'metaTablesSQL' => 'SHOW TABLES',
       'metaColumnsSQL' => 'SHOW COLUMNS FROM `%s`',
       'fmtTimeStamp' => '\'Y-m-d H:i:s\'',
       'hasLimit' => true,
       'hasMoveFirst' => true,
       'hasGenID' => true,
       'isoDates' => true,
       'sysDate' => 'CURDATE()',
       'sysTimeStamp' => 'NOW()',
       'hasTransactions' => false,
       'forceNewConnect' => false,
       'poorAffectedRows' => true,
       'clientFlags' => 0,
       'substr' => 'substring',
       'nameQuote' => '`',
       'compat323' => false,
       '_genIDSQL' => 'update %s set id=LAST_INSERT_ID(id+1);',
       '_genSeqSQL' => 'create table %s (id int not null)',
       '_genSeqCountSQL' => 'select count(*) from %s',
       '_genSeq2SQL' => 'insert into %s values (%s)',
       '_dropSeqSQL' => 'drop table %s',
       'database' => 'projects',
       'host' => 'testtest.com',
       'user' => 'project',
       'password' => '!12312',
       'debug' => false,
       'maxblobsize' => 262144,
       'concat_operator' => '+',
       'length' => 'length',
       'random' => 'rand()',
       'upperCase' => 'upper',
       'fmtDate' => '\'Y-m-d\'',
       'true' => '1',
       'false' => '0',
       'replaceQuote' => '\\\'',
       'charSet' => false,
       'metaDatabasesSQL' => '',
       'uniqueOrderBy' => false,
       'emptyDate' => ' ',
       'emptyTimeStamp' => ' ',
       'lastInsID' => false,
       'hasTop' => false,
       'readOnly' => false,
       'genID' => 0,
       'raiseErrorFn' => false,
       'cacheSecs' => 3600,
       'memCache' => false,
       'memCacheHost' => NULL,
       'memCachePort' => 11211,
       'memCacheCompress' => false,
       'sysUTimeStamp' => false,
       'arrayClass' => 'ADORecordSet_array',
       'noNullStrings' => false,
       'numCacheHits' => 0,
       'numCacheMisses' => 0,
       'pageExecuteCountRows' => true,
       'uniqueSort' => false,
       'leftOuter' => false,
       'rightOuter' => false,
       'ansiOuter' => false,
       'autoRollback' => false,
       'fnExecute' => false,
       'fnCacheExecute' => false,
       'blobEncodeType' => false,
       'rsPrefix' => 'ADORecordSet_',
       'autoCommit' => true,
       'transOff' => 0,
       'transCnt' => 0,
       'fetchMode' => false,
       'null2null' => 'null',
       '_oldRaiseFn' => false,
       '_transOK' => NULL,
       '_connectionID' => NULL,
       '_errorMsg' => 'Incorrect integer value: \'\' for column \'contact_department\' at row 1',
       '_errorCode' => false,
       '_queryID' => false,
       '_isPersistentConnection' => false,
       '_bindInputArray' => false,
       '_evalAll' => false,
       '_affected' => false,
       '_logsql' => false,
       '_transmode' => '',
       'databaseName' => 'projects',
    )),
     '_db_funcs' =>
    array (
      0 => 'NOW()',
    ),
  )),
)),'contact_id',false)
3 C:\public_html\project\modules\contacts\contacts.class.php:114 store()
4 C:\public_html\project\modules\contacts\do_contact_aed.php:48 store(CAppUI::__set_state(array(
   'state' =>
  array (
    'CalIdxCompany' => 1,
    'CalIdxFilter' => '',
    'CalDayViewTab' => 0,
    'SAVEDPLACE-1' => 'm=companies',
    'SAVEDPLACE' => 'm=contacts',
    'LinkIdxTab' => 2,
    'ProjIdxTab' => 1,
    'ProjIdxCompany' => '1',
    'ProjIdxOrderDir' => 'asc',
    'owner_filter_id' => 0,
    'CompaniesIdxTab' => 1,
  ),
   'user_id' => '2',
   'user_first_name' => 'sdfds',
   'user_last_name' => 'sdfsdf',
   'user_company' => '1',
   'user_department' => '12',
   'user_email' => 'sdfsd@winel.com',
   'user_type' => '1',
   'user_prefs' =>
  array (
    'CURRENCYFORM' => 'de_DE',
    'EVENTFILTER' => 'my',
    'LOCALE' => 'en',
    'MAILALL' => '1',
    'SHDATEFORMAT' => '%d/%m/%Y',
    'TABVIEW' => '0',
    'TASKASSIGNMAX' => '100',
    'TASKLOGEMAIL' => '7',
    'TASKLOGNOTE' => '0',
    'TASKLOGSUBJ' => '',
    'TIMEFORMAT' => '%I:%M %p',
    'UISTYLE' => 'WR',
    'USERFORMAT' => 'user',
    'TASKSEXPANDED' => '1',
  ),
   'day_selected' => NULL,
   'user_locale' => 'en',
   'user_lang' =>
  array (
    0 => 'en.ISO8859-15',
    1 => 'enu',
    2 => 'en',
    3 => 'en',
  ),
   'base_locale' => 'en',
   'msg' => 'Contact',
   'msgNo' => 0,
   'defaultRedirect' => '',
   'cfg' =>
  array (
    'locale_warn' => false,
  ),
   'version_major' => 1,
   'version_minor' => 2,
   'version_patch' => 2,
   'version_string' => '1.2.2',
   'last_insert_id' => '22',
   'user_style' => NULL,
   'user_is_admin' => 1,
   'objStore' => NULL,
   'project_id' => 0,
   'boxTopRendered' => false,
)))
5 C:\public_html\project\index.php:253 require('C:\\public_html\\project\\modules\\contacts\\do_contact_aed.php')
C:\public_html\project\classes\query.class.php(1169): query failed(UPDATE `contacts` SET `contact_first_name` = 'Admin', `contact_last_name` = 'Person', `contact_order_by` = 'Admin Person', `contact_title` = '', `contact_job` = '', `contact_company` = '2', `contact_department` = '', `contact_type` = '', `contact_email` = 'admin@localhost', `contact_email2` = '', `contact_phone` = '', `contact_phone2` = '', `contact_fax` = '', `contact_mobile` = '', `contact_address1` = '', `contact_address2` = '', `contact_city` = '', `contact_state` = '', `contact_zip` = '', `contact_url` = '', `contact_icq` = '', `contact_aol` = '', `contact_yahoo` = '', `contact_msn` = '', `contact_jabber` = '', `contact_skype` = '', `contact_google` = '', `contact_notes` = '', `contact_project` = '0', `contact_country` = '', `contact_owner` = '2', `contact_updatekey` = '' WHERE contact_id = '1') - error was: Incorrect integer value: '' for column 'contact_department' at row 1
ERROR: C:\public_html\project\classes\query.class.php(1169) : query failed(UPDATE `contacts` SET `contact_first_name` = 'Admin', `contact_last_name` = 'Person', `contact_order_by` = 'Admin Person', `contact_title` = '', `contact_job` = '', `contact_company` = '2', `contact_department` = '', `contact_type` = '', `contact_email` = 'admin@localhost', `contact_email2` = '', `contact_phone` = '', `contact_phone2` = '', `contact_fax` = '', `contact_mobile` = '', `contact_address1` = '', `contact_address2` = '', `contact_city` = '', `contact_state` = '', `contact_zip` = '', `contact_url` = '', `contact_icq` = '', `contact_aol` = '', `contact_yahoo` = '', `contact_msn` = '', `contact_jabber` = '', `contact_skype` = '', `contact_google` = '', `contact_notes` = '', `contact_project` = '0', `contact_country` = '', `contact_owner` = '2', `contact_updatekey` = '' WHERE contact_id = '1') - error was: Incorrect integer value: '' for column 'contact_department' at row 1
Backtrace:
0 C:\public_html\project\classes\query.class.php:1169 dprint('C:\\public_html\\project\\classes\\query.class.php',1169,0,'query failed(UPDATE `contacts` SET `contact_first_name` = \'Admin\', `contact_last_name` = \'Person\', `contact_order_by` = \'Admin Person\', `contact_title` = \'\', `contact_job` = \'\', `contact_company` = \'2\', `contact_department` = \'\', `contact_type` = \'\', `contact_email` = \'admin@localhost\', `contact_email2` = \'\', `contact_phone` = \'\', `contact_phone2` = \'\', `contact_fax` = \'\', `contact_mobile` = \'\', `contact_address1` = \'\', `contact_address2` = \'\', `contact_city` = \'\', `contact_state` = \'\', `contact_zip` = \'\', `contact_url` = \'\', `contact_icq` = \'\', `contact_aol` = \'\', `contact_yahoo` = \'\', `contact_msn` = \'\', `contact_jabber` = \'\', `contact_skype` = \'\', `contact_google` = \'\', `contact_notes` = \'\', `contact_project` = \'0\', `contact_country` = \'\', `contact_owner` = \'2\', `contact_updatekey` = \'\' WHERE contact_id = \'1\') - error was: Incorrect integer value: \'\' for column \'contact_department\' at row 1')
1 C:\public_html\project\classes\query.class.php:1723 exec()
2 C:\public_html\project\classes\w2p.class.php:217 updateObject('contacts',CContact::__set_state(array(
   'contact_id' => '1',
   'contact_first_name' => 'Admin',
   'contact_last_name' => 'Person',
   'contact_order_by' => 'Admin Person',
   'contact_title' => '',
   'contact_job' => '',
   'contact_birthday' => NULL,
   'contact_company' => '2',
   'contact_department' => '',
   'contact_type' => '',
   'contact_email' => 'admin@localhost',
   'contact_email2' => '',
   'contact_phone' => '',
   'contact_phone2' => '',
   'contact_fax' => '',
   'contact_mobile' => '',
   'contact_address1' => '',
   'contact_address2' => '',
   'contact_city' => '',
   'contact_state' => '',
   'contact_zip' => '',
   'contact_url' => '',
   'contact_icq' => '',
   'contact_aol' => '',
   'contact_yahoo' => '',
   'contact_msn' => '',
   'contact_jabber' => '',
   'contact_skype' => '',
   'contact_google' => '',
   'contact_notes' => '',
   'contact_project' => '0',
   'contact_country' => '',
   'contact_icon' => NULL,
   'contact_owner' => '2',
   'contact_private' => NULL,
   'contact_updatekey' => '',
   'contact_lastupdate' => NULL,
   'contact_updateasked' => NULL,
   'contact_methods' =>
  array (
  ),
   '_tbl_prefix' => '',
   '_tbl' => 'contacts',
   '_tbl_key' => 'contact_id',
   '_error' => '',
   '_query' =>
  DBQuery::__set_state(array(
     'query' => NULL,
     'table_list' => NULL,
     'where' => NULL,
     'order_by' => NULL,
     'group_by' => NULL,
     'having' => NULL,
     'limit' => NULL,
     'offset' => -1,
     'join' => NULL,
     'type' => 'select',
     'update_list' => NULL,
     'value_list' => NULL,
     'create_table' => NULL,
     'create_definition' => NULL,
     'include_count' => false,
     '_table_prefix' => '',
     '_query_id' => NULL,
     '_old_style' => NULL,
     '_db' =>
    ADODB_mysql::__set_state(array(
       'databaseType' => 'mysql',
       'dataProvider' => 'mysql',
       'hasInsertID' => true,
       'hasAffectedRows' => true,
       'metaTablesSQL' => 'SHOW TABLES',
       'metaColumnsSQL' => 'SHOW COLUMNS FROM `%s`',
       'fmtTimeStamp' => '\'Y-m-d H:i:s\'',
       'hasLimit' => true,
       'hasMoveFirst' => true,
       'hasGenID' => true,
       'isoDates' => true,
       'sysDate' => 'CURDATE()',
       'sysTimeStamp' => 'NOW()',
       'hasTransactions' => false,
       'forceNewConnect' => false,
       'poorAffectedRows' => true,
       'clientFlags' => 0,
       'substr' => 'substring',
       'nameQuote' => '`',
       'compat323' => false,
       '_genIDSQL' => 'update %s set id=LAST_INSERT_ID(id+1);',
       '_genSeqSQL' => 'create table %s (id int not null)',
       '_genSeqCountSQL' => 'select count(*) from %s',
       '_genSeq2SQL' => 'insert into %s values (%s)',
       '_dropSeqSQL' => 'drop table %s',
       'database' => 'projects',
       'host' => 'something.com',
       'user' => 'project',
       'password' => '!123123',
       'debug' => false,
       'maxblobsize' => 262144,
       'concat_operator' => '+',
       'length' => 'length',
       'random' => 'rand()',
       'upperCase' => 'upper',
       'fmtDate' => '\'Y-m-d\'',
       'true' => '1',
       'false' => '0',
       'replaceQuote' => '\\\'',
       'charSet' => false,
       'metaDatabasesSQL' => '',
       'uniqueOrderBy' => false,
       'emptyDate' => ' ',
       'emptyTimeStamp' => ' ',
       'lastInsID' => false,
       'hasTop' => false,
       'readOnly' => false,
       'genID' => 0,
       'raiseErrorFn' => false,
       'cacheSecs' => 3600,
       'memCache' => false,
       'memCacheHost' => NULL,
       'memCachePort' => 11211,
       'memCacheCompress' => false,
       'sysUTimeStamp' => false,
       'arrayClass' => 'ADORecordSet_array',
       'noNullStrings' => false,
       'numCacheHits' => 0,
       'numCacheMisses' => 0,
       'pageExecuteCountRows' => true,
       'uniqueSort' => false,
       'leftOuter' => false,
       'rightOuter' => false,
       'ansiOuter' => false,
       'autoRollback' => false,
       'fnExecute' => false,
       'fnCacheExecute' => false,
       'blobEncodeType' => false,
       'rsPrefix' => 'ADORecordSet_',
       'autoCommit' => true,
       'transOff' => 0,
       'transCnt' => 0,
       'fetchMode' => false,
       'null2null' => 'null',
       '_oldRaiseFn' => false,
       '_transOK' => NULL,
       '_connectionID' => NULL,
       '_errorMsg' => 'Incorrect integer value: \'\' for column \'contact_department\' at row 1',
       '_errorCode' => false,
       '_queryID' => false,
       '_isPersistentConnection' => false,
       '_bindInputArray' => false,
       '_evalAll' => false,
       '_affected' => false,
       '_logsql' => false,
       '_transmode' => '',
       'databaseName' => 'projects',
    )),
     '_db_funcs' =>
    array (
      0 => 'NOW()',
    ),
  )),
)),'contact_id',false)
3 C:\public_html\project\modules\contacts\contacts.class.php:114 store()
4 C:\public_html\project\modules\contacts\do_contact_aed.php:70 store(CAppUI::__set_state(array(
   'state' =>
  array (
    'CalIdxCompany' => 1,
    'CalIdxFilter' => '',
    'CalDayViewTab' => 0,
    'SAVEDPLACE-1' => 'm=companies',
    'SAVEDPLACE' => 'm=contacts',
    'LinkIdxTab' => 2,
    'ProjIdxTab' => 1,
    'ProjIdxCompany' => '1',
    'ProjIdxOrderDir' => 'asc',
    'owner_filter_id' => 0,
    'CompaniesIdxTab' => 1,
  ),
   'user_id' => '2',
   'user_first_name' => 'werwel',
   'user_last_name' => 'hdfgh',
   'user_company' => '1',
   'user_department' => '12',
   'user_email' => '234sdf@werewr.com',
   'user_type' => '1',
   'user_prefs' =>
  array (
    'CURRENCYFORM' => 'de_DE',
    'EVENTFILTER' => 'my',
    'LOCALE' => 'en',
    'MAILALL' => '1',
    'SHDATEFORMAT' => '%d/%m/%Y',
    'TABVIEW' => '0',
    'TASKASSIGNMAX' => '100',
    'TASKLOGEMAIL' => '7',
    'TASKLOGNOTE' => '0',
    'TASKLOGSUBJ' => '',
    'TIMEFORMAT' => '%I:%M %p',
    'UISTYLE' => 'WR',
    'USERFORMAT' => 'user',
    'TASKSEXPANDED' => '1',
  ),
   'day_selected' => NULL,
   'user_locale' => 'en',
   'user_lang' =>
  array (
    0 => 'en.ISO8859-15',
    1 => 'enu',
    2 => 'en',
    3 => 'en',
  ),
   'base_locale' => 'en',
   'msg' => 'Contact',
   'msgNo' => 0,
   'defaultRedirect' => '',
   'cfg' =>
  array (
    'locale_warn' => false,
  ),
   'version_major' => 1,
   'version_minor' => 2,
   'version_patch' => 2,
   'version_string' => '1.2.2',
   'last_insert_id' => '22',
   'user_style' => NULL,
   'user_is_admin' => 1,
   'objStore' => NULL,
   'project_id' => 0,
   'boxTopRendered' => false,
)))
5 C:\public_html\project\index.php:253 require('C:\\public_html\\project\\modules\\contacts\\do_contact_aed.php')
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000760

kicken (reporter)

This happens in "Contacts"

~0000761

caseydk (administrator)

I assume this is on v1.2.2 (latest release) or is this version from Subversion? Thanks.

~0000764

kicken (reporter)

Yes 1.2.2 with no changes

~0000790

caseydk (administrator)

Resolved in r986 for the v1.3 release;

~0000806

caseydk (administrator)

Closed in v1.3 release.
+Notes

-Issue History
Date Modified Username Field Change
2010-02-26 20:29 kicken New Issue
2010-02-26 20:31 kicken Note Added: 0000760
2010-02-26 22:15 caseydk Note Added: 0000761
2010-02-27 05:58 kicken Note Added: 0000764
2010-03-03 16:59 caseydk Project v1.2 Release (Closed) => v1.3 Release (Closed)
2010-03-28 22:04 caseydk Description Updated
2010-03-28 22:12 caseydk Description Updated
2010-03-28 22:16 caseydk Note Added: 0000790
2010-03-28 22:16 caseydk Status new => resolved
2010-03-28 22:16 caseydk Resolution open => fixed
2010-03-28 22:16 caseydk Assigned To => caseydk
2010-03-31 22:42 caseydk Note Added: 0000806
2010-03-31 22:42 caseydk Status resolved => closed
2010-03-31 22:42 caseydk Fixed in Version => 1.3
+Issue History